HTTP APIModules

Inventory

HTTP endpoints for inventory data.

Feature flag: inventory

Required permission: inventory:view

List Items

GET /api/v1/inventory/items
QueryRequiredDescription
organizationIdNoLegacy override. The API key organization is used by default.
limitNoPositive maximum number of items
searchNoCase-insensitive match against name, description, SKU, or barcode
statusNoDraft, Active, Inactive, or Discontinued
fieldsNoComma-separated response fields, for example _id,name,quantity
curl "https://api.karybase.com/api/v1/inventory/items?status=Active&limit=50" \
  -H "Authorization: Bearer $KARYBASE_API_KEY"
curl "https://api.karybase.com/api/v1/inventory/items?fields=_id,name,quantity" \
  -H "Authorization: Bearer $KARYBASE_API_KEY"
{
  "data": [
    {
      "_id": "item_123",
      "organizationId": "org_123",
      "name": "Camera Kit",
      "sku": "CAM-001",
      "status": "Active",
      "quantity": 12
    }
  ],
  "organizationId": "org_123",
  "count": 1
}

Get Item

GET /api/v1/inventory/item
QueryRequiredDescription
itemIdYesInventory item id
organizationIdNoLegacy override. The API key organization is used by default.
fieldsNoComma-separated response fields, for example _id,name,customFields
curl "https://api.karybase.com/api/v1/inventory/item?itemId=item_123" \
  -H "Authorization: Bearer $KARYBASE_API_KEY"
{
  "data": {
    "_id": "item_123",
    "organizationId": "org_123",
    "name": "Camera Kit",
    "status": "Active"
  }
}

On this page